SubgraphUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include "Subgraphs.h"`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/tuple/tuple.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <cstdint>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::Subgraphs

## Typedefs

typedef boost::tuples::tuple< std::uint32_t, std::uint32_t, std::uint32_t > | RDKit::Subgraphs::DiscrimTuple
| used to return path discriminators (three unsigned ints): More...

## Functions

RDKIT_SUBGRAPHS_EXPORT DiscrimTuple | RDKit::Subgraphs::calcPathDiscriminators (const ROMol &mol, const PATH_TYPE &path, bool useBO=true, std::vector< std::uint32_t > *extraInvars=nullptr)
RDKIT_SUBGRAPHS_EXPORT PATH_LIST | RDKit::Subgraphs::uniquifyPaths (const ROMol &mol, const PATH_LIST &allPathsb, bool useBO=true)
RDKIT_SUBGRAPHS_EXPORT PATH_TYPE | RDKit::Subgraphs::bondListFromAtomList (const ROMol &mol, const PATH_TYPE &atomIds)
RDKIT_SUBGRAPHS_EXPORT ROMol * | RDKit::Subgraphs::pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery, std::map< int, int > &atomIdxMap)
RDKIT_SUBGRAPHS_EXPORT ROMol * | RDKit::Subgraphs::pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery=false)